import React from 'react';
import { Field, reduxForm } from 'redux-form'
import validate from './validate'
import formInput from './formInput'
import { Link } from 'react-router-dom'
import * as routes from './../../../../constants/routes'


class Form extends React.Component {

    handleSubmit = (event) => {
        alert("lol");
    }

    render() {
        return (
            <form className="sign-in-form" onSubmit={this.handleSubmit} method="POST">
                <h2 className="sign-in-form__header">Sign In</h2>
                <Field name="login" component={formInput} type="text"/>
                <Field name="password" component={formInput} type="password" />
                <button className="sign-in-form__submit-button">Sign In</button>
                <p className="sign-in-form__link--forgot-password"><Link to={routes.PASSWORD_FORGET}>Forgot password ?</Link></p>
                <hr className="sign-in-form__divider"/>
                <p className="sign-in-form__link--sign-up">Still ain't got an account? <Link to={routes.SIGN_UP}>Sign up</Link> first!</p>
            </form>    
        )
    }
}

export default reduxForm({
    form: "signIn",
    validate 
})(Form)