import React from "react";
import { Provider } from "react-redux";
import { BrowserRouter } from "react-router-dom";
import ReactDOM from "react-dom";
import * as serviceWorker from "./serviceWorker";

import Router from "./router";
import reduxStore from './state';
import './styles/index.scss';

ReactDOM.render(
	<BrowserRouter>
		<Provider store={reduxStore}>
			<Router />
		</Provider>
	</BrowserRouter>,
	document.getElementById("root")
);

serviceWorker.unregister();
