import * as types from "../../../constants";
import initialState from './../../initialState'

export default function signUp(state = initialState.signUp, {type, payload, error}) {
    switch (type) {
        case types.SIGN_UP_REQUEST: {
            return {
                ...state,
                isFetching: true
            }
        }
        case types.SIGN_UP_REQUEST_SUCCESS: {
            return {
                ...state,
                payload,
                isFetching: false
            }
        }
        case types.SIGN_UP_REQUEST_FAILURE: {
            return {
                ...state,
                error,
                isFetching: false
            }
        }
        default: {
            return state
        }
    }
}