import { createStore, applyMiddleware } from 'redux';
import { logger } from 'redux-logger'
import createSagaMiddleware from "redux-saga";

import combinedReducers from './../reducers';
import initialState from './../reducers/initialState'
import saga from './../saga'
import { auth } from './../firebase_config'
import { userIsNotSignedIn, userIsSignedIn } from './../actions/auth/signIn'

const sagaMiddleware = createSagaMiddleware();

const store = createStore(
    combinedReducers,
    initialState,
    applyMiddleware(sagaMiddleware, logger)
);

export default store;

sagaMiddleware.run(saga);
